# Uses of Class
org.apache.lucene.queryparser.surround.query.TooManyBasicQueries

Packages that use TooManyBasicQueries
Package
Description
org.apache.lucene.queryparser.surround.query
This package contains SrndQuery and its subclasses.

- ## Uses of TooManyBasicQueries in org.apache.lucene.queryparser.surround.query

  Methods in org.apache.lucene.queryparser.surround.query that throw TooManyBasicQueries
  Modifier and Type
  Method
  Description
  `protected void`
  BasicQueryFactory.`checkMax()`
  `SpanTermQuery`
  BasicQueryFactory.`newSpanTermQuery(Term term)`
  `TermQuery`
  BasicQueryFactory.`newTermQuery(Term term)`